Home Forums Support PHP 7.3 support?

This topic contains 2 replies, has 3 voices, and was last updated by  Hillel Coren 2 weeks, 2 days ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #19895

    journeyer
    Participant

    Does InvoiceNinja support PHP7.3?

    I did not find a support matrix table anywhere on the docs, maybe we should have it?

    For one of the cronjobs, the php cli version got switched to 7.3 and I got the following error:

    In Builder.php line 1229:
    
      compact(): Undefined variable: operator

    so I suspect it is not supported.

    #19899

    Titanfail
    Participant

    “Not supported” is a pretty strong indication of it not working at all. I’m on 7.3, and as far as I can tell, it’s only affecting that particular task. I haven’t seen it throwing off errors any other time 'operator' is called.

    Still, something worth looking into (if they aren’t already). Submitting an issue over at https://github.com/invoiceninja/invoiceninja/issues would probably be a good idea.

    #19908

    Hillel Coren
    Keymaster

    Agreed, an issue with steps to replicate would be helpful…

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.

Posted in: